using System;

namespace NKC_WF.site
{
    public partial class TestAuth : BasePage
    {
        protected void Page_Load(object sender, EventArgs e)
        {

        }

        protected void ddlSelData_SelectedIndexChanged(object sender, EventArgs e)
        {
            // a seconda delal richeista mostro qualcosa di diverso...
            string selVal = ddlSelData.SelectedValue;
            string dataVal = $"<h3>{selVal}</h3>";
            dataVal += "<ul>";
            switch (selVal)
            {
                case "diritti":
                    var diritti = SteamWare.user_std.UtSn.diritti;
                    foreach (var item in diritti)
                    {
                        dataVal += $"<li>CDC {item.COD_CDC} | MOD {item.COD_MODULO} | FUN {item.COD_FUNZIONE}</li>";
                    }
                    break;
                case "mappa":
                    var mappa = SteamWare.user_std.UtSn.mappaSito;
                    dataVal += $"<li>{mappa}</li>";
                    break;
                case "permessi":
                    var permessi = SteamWare.user_std.UtSn.permessi;
                    foreach (var item in permessi)
                    {
                        dataVal += $"<li>COD {item.COD_PERMESSO} | NOME {item.NOME} | URL {item.URL}</li>";
                    }
                    break;
                case "0":
                default:
                    break;
            }
            dataVal += "</ul>";
            litOut.Text = dataVal;
        }
    }
}